# Copyright (c) 2012 David Sugar, Tycho Softworks.
# This file is free software; as a special exception the author gives
# unlimited permission to copy and/or distribute it, with or without
# modifications, as long as this notice is preserved.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
# PARTICULAR PURPOSE.

Name: cape-devtools
Summary: Cape Development Tools
Version: 0.9.0
Release: 0%{?dist}
License: GPLv3+
URL: https://github.com/dyfet/cape-devtools
Group: Development/Tools
Source: http://dev.gnutelephony.org/dist/tarballs/cape-devtools-%{version}.tar.gz
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root
BuildRequires: ucommon-devel >= 6.0.0
BuildRequires: cmake pkgconfig
Requires: dpkg-devel
Requires: redhat-lsb-core
Requires: createrepo
Requires: rpmdevtools
Requires: rpm-build
Requires: rpm-sign
Requires: perl
Requires: git
Requires: gnupg

%description
This package includes tools are used for managing chroot and package build
environments. cape-chroot is the first of these new tools, and offers a fast
way to execute commands in and manage chroot's from multiple distributions.
We also provide cross-distro packaging support tools, such as an generic
archiver for creating and managing debian and rpm repositories.

This package also includes some common git shell extensions that we have
to be usable in our work.  We also distribute in this package other
miscellenous shell scripts we have written and found to be useful to support
development as well.

%prep
%setup -q

%build
%cmake	-DINSTALL_BINDIR=%{_bindir} \
		-DINSTALL_SBINDIR=%{_sbindir} \
		-DINSTALL_DATADIR=%{_datadir} \
		-DINSTALL_MANDIR=%{_mandir} .

%{__make} %{?_smp_mflags}

%install
%{__rm} -rf %{buildroot}
%{__make} install DESTDIR=%{buildroot}
%{__rm} -rf %{buildroot}%{_libdir}/*.la

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc README COPYING ChangeLog
%attr(04755,root,root) %{_bindir}/cape-chroot
%attr(0755,root,root) %{_bindir}/cape-archive
%attr(0755,root,root) %{_bindir}/cape-binary
%attr(0755,root,root) %{_bindir}/cape-changes
%attr(04755,root,root) %{_bindir}/cape-rehome
%attr(0755,root,root) %{_bindir}/cape-source
%attr(0755,root,root) %{_bindir}/cape-list
%attr(0755,root,root) %{_bindir}/cape-gnudist
%attr(0755,root,root) %{_bindir}/git-topic
%attr(0755,root,root) %{_bindir}/git-origin
%attr(0755,root,root) %{_bindir}/git-bind
%attr(0755,root,root) %{_bindir}/git-publish
%attr(0755,root,root) %{_bindir}/git-tracking
%attr(0755,root,root) %{_bindir}/deb-backport
%attr(0755,root,root) %{_bindir}/copyright
%{_mandir}/man1/cape-chroot.*
%{_mandir}/man1/cape-archive.*
%{_mandir}/man1/cape-binary.*
%{_mandir}/man1/cape-changes.*
%{_mandir}/man1/cape-rehome.*
%{_mandir}/man1/cape-source.*
%{_mandir}/man1/cape-list.*
%{_mandir}/man1/cape-gnudist.*
%{_mandir}/man1/git-topic.*
%{_mandir}/man1/git-origin.*
%{_mandir}/man1/git-bind.*
%{_mandir}/man1/git-publish.*
%{_mandir}/man1/git-tracking.*
%{_mandir}/man1/deb-backport.*
%{_mandir}/man1/copyright.*

%changelog
* Wed Mar 05 2014 David Sugar <dyfet@gnutelephony.org> - 0.9.0-0
- Initial packaging for redhat/fedora submission policies.

